#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "S42P02InteractionInstrument.generated.h"

UCLASS(Blueprintable)
class THES42_API AS42P02InteractionInstrument : public AActor
{
	GENERATED_BODY()

protected:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnShowEvent();

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnHideEvent(const bool isInteractionCompleted);

public:
	AS42P02InteractionInstrument();
};

FORCEINLINE uint32 GetTypeHash(const AS42P02InteractionInstrument) { return 0; }
